package net.vtstar.zhongtong.avi.gateway.painting.domain;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import net.vtstar.scada.base.gather.domain.EquipmentData;
import net.vtstar.user.search.Search;
import net.vtstar.zhongtong.avi.global.web.Show;
import net.vtstar.zhongtong.avi.global.web.domain.enums.FieldType;

import javax.persistence.Column;
import javax.persistence.Table;
import java.util.Date;

@Data
@Search(code = "ELECTROPHORESIS_RECTIFICATION")
@ApiModel(value = "涂装--电泳整流", description = "电泳整流监控数据表")
@Table(name = "eqp_data_rectification")
public class ElectrophoresisRectificationMachine extends EquipmentData {

    @Column(name = "eqp_code")
    @ApiModelProperty(notes = "设备编号")
    private String equipCode;

    @Show(label = "一段电压")
    @Column(name = "voltage_1")
    @ApiModelProperty(notes = "一段电压")
    private Float voltage1;

    @Show(label = "二段电压")
    @Column(name = "voltage_2")
    @ApiModelProperty(notes = "二段电压")
    private Float voltage2;

    @Search
    @Show(label = "采集时间",dataType = FieldType.DATETIME)
    @ApiModelProperty("采集时间")
    @Column(name = "create_time")
    private Date createTime;

}
