package net.vtstar.zhongtong.avi.gateway.painting.domain;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import net.vtstar.scada.base.gather.domain.EquipmentData;
import net.vtstar.user.search.Search;
import net.vtstar.zhongtong.avi.global.web.Show;
import net.vtstar.zhongtong.avi.global.web.domain.enums.FieldType;

import javax.persistence.Column;
import javax.persistence.Table;
import java.util.Date;

@Data
@Search(code = "VEHICLE_PRETREATMENT_ELECTROPHORESIS")
@ApiModel(value = "涂装--前处理", description = "前处理监控数据表")
@Table(name = "eqp_data_paint_pretreatment")
public class PaintingPretreatmentMachine extends EquipmentData {

    @Column(name = "eqp_code")
    @ApiModelProperty(notes = "设备编号")
    private String equipCode;

    @Show(label = "预脱脂温度")
    @Column(name = "cataphoresis_temperature")
    @ApiModelProperty(notes = "预脱脂温度")
    private Float cataphoresisTemperature;

    @Show(label = "脱脂温度")
    @Column(name = "degrease_temperature")
    @ApiModelProperty(notes = "脱脂温度")
    private Float degreaseTemperature;

    @Show(label = "磷化温度")
    @Column(name = "phosphatizing_temperature")
    @ApiModelProperty(notes = "磷化温度")
    private Float phosphatizingTemperature;

    @Search
    @Show(label = "采集时间",dataType = FieldType.DATETIME)
    @ApiModelProperty("采集时间")
    @Column(name = "create_time")
    private Date createTime;

}
