package net.vtstar.zhongtong.avi.gateway.painting.domain;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import net.vtstar.scada.base.gather.domain.EquipmentData;
import net.vtstar.user.search.Search;
import net.vtstar.zhongtong.avi.global.web.Show;
import net.vtstar.zhongtong.avi.global.web.domain.enums.FieldType;

import javax.persistence.Column;
import javax.persistence.Table;
import java.util.Date;

@Data
@Search(code = "ROTARY_ROLLER_BED")
@ApiModel(value = "旋转辊床", description = "旋转辊床监控数据表")
@Table(name = "eqp_data_rotary_roller_red")
public class RotaryRollerBedMachine extends EquipmentData {

    @Show(label = "当班运行(焊装)")
    @Column(name = "run_num_welding")
    @ApiModelProperty(notes = "当班运行(焊装)")
    private Integer runNumWelding;

    @Show(label = "当班运行(涂装进)")
    @Column(name = "run_num_painting_1")
    @ApiModelProperty(notes = "当班运行(涂装进)")
    private Integer runNumPainting1;

    @Show(label = "当班运行(涂装出)")
    @Column(name = "run_num_painting_2")
    @ApiModelProperty(notes = "当班运行(涂装出)")
    private Integer runNumPainting2;

        @Show(label = "当班运行(底盘)")
    @Column(name = "run_num_chassis")
    @ApiModelProperty(notes = "当班运行(底盘)")
    private Integer runNumChassis;

    @Search
    @Show(label = "采集时间",dataType = FieldType.DATETIME)
    @ApiModelProperty("时间")
    @Column(name = "create_time")
    private Date createTime;
}
