package net.vtstar.zhongtong.avi.gateway.painting.listener;

import com.jnrsmcu.sdk.netdevice.NodeData;
import com.jnrsmcu.sdk.netdevice.RSServer;
import com.jnrsmcu.sdk.netdevice.RealTimeData;
import net.vtstar.zhongtong.avi.gateway.painting.domain.SprayBoothMachine;
import net.vtstar.zhongtong.avi.gateway.painting.mapper.SprayBoothMapper;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.boot.CommandLineRunner;
import org.springframework.core.annotation.Order;
import org.springframework.stereotype.Component;

import java.util.ArrayList;
import java.util.Date;
import java.util.List;

/**
 * 温度传感器监听
 *
 * @Author: xiadongwei
 * @Date: 2019/11/4 18:55
 */
//@Component
//@Order(99)
public class SprayBoothListener implements CommandLineRunner {

    @Autowired
    private SprayBoothMapper mapper;

    @Override
    public void run(String... args) throws Exception {
        // 初始化
        RSServer rsServer = RSServer.Initiate(2404);
        rsServer.addDataListener(new MyIDataListener() {
            @Override
            public void receiveRealtimeData(RealTimeData data) {
                super.receiveRealtimeData(data);
                List<SprayBoothMachine> list = new ArrayList<>();
                int deviceId = data.getDeviceId();
                String name = "";
                switch (deviceId) {
                    case 30018326:
                        name = "喷漆室-01";
                        break;
                    case 30019151:
                        name = "喷漆室-02";
                        break;
                    case 3:
                        name = "喷漆室-03";
                        break;
                    case 4:
                        name = "喷漆室-04";
                        break;
                    case 5:
                        name = "喷漆室-05";
                        break;
                    case 6:
                        name = "喷漆室-06";
                        break;
                    case 7:
                        name = "喷漆室-07";
                        break;
                    case 8:
                        name = "喷漆室-08";
                        break;
                    case 9:
                        name = "喷漆室-09";
                        break;
                    case 10:
                        name = "喷漆室-10";
                        break;
                    case 11:
                        name = "喷漆室-11";
                        break;
                    case 12:
                        name = "喷漆室-12";
                        break;
                    case 13:
                        name = "喷漆室-13";
                        break;
                    default:
                        break;

                }
                for (NodeData nd : data.getNodeList()) {
                    if (nd.getTem() == 0f) {
                        continue;
                    }
                    SprayBoothMachine sprayBoothMachine = new SprayBoothMachine();
                    sprayBoothMachine.setEquipCode(name);
                    sprayBoothMachine.setTemperature(nd.getTem());
                    sprayBoothMachine.setHumidity(nd.getHum());
                    sprayBoothMachine.setCreateTime(new Date());
                    list.add(sprayBoothMachine);
                }
                mapper.insertList(list);
            }
        });
        rsServer.start();
    }
}
